<?xml version="1.0" encoding="UTF-8"?>
<EIS_TNR>
    <!--AF instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
    -->

    <!--rear main-->
    <AF camera_position="0" camera_index="2">
        <minLensPosCode>234</minLensPosCode>
        <maxLensPosCode>897</maxLensPosCode>
        <minLensPos>5.68</minLensPos>
        <maxLensPos>6.06</maxLensPos>
    </AF>

    <!--rear wide-->
    <AF camera_position="0" camera_index="4">
        <minLensPosCode>282</minLensPosCode>
        <maxLensPosCode>693</maxLensPosCode>
        <minLensPos>5.68</minLensPos>
        <maxLensPos>5.88</maxLensPos>
    </AF>

    <!--OISSensor instruction
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        driverIC:   -1-default   4-Onsenmi124EP3   5-Onsenmi150   6-Onsenmi128   7-DW9781B   8-DW9781C   9-RenasasS4H
        gyro_sensor:   -1-default   0-GYRO_VENDOR_INVEN_ICM20690   2-GYRO_VENDOR_ST_LSM6DSM   6-GYRO_VENDOR_BOSCH_BMI260
        actuator_type:   -1-default   1-ACTUATOR_TYPE_TDK   2-ACTUATOR_TYPE_MITSUMI   3-ACTUATOR_TYPE_ALPS   4-ACTUATOR_TYPE_JAHWA   5-ACTUATOR_TYPE_BILLU
                         6-ACTUATOR_TYPE_ZET   7-ACTUATOR_TYPE_SHICON   8-ACTUATOR_TYPE_SAMSUNG   9-ACTUATOR_TYPE_NUM
    -->

    <!--DW9781C driverIC    INVENSENSE gyroscope    TDK actuator    rear tele photoPreview remosaic 4:3-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="1" sensor_mode="30" resolution="6">
        <translationGainX>-0.526842</translationGainX>
        <translationGainY>-0.785710</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000737</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    INVENSENSE gyroscope    TDK actuator    rear tele photoPreview remosaic 1:1-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="1" sensor_mode="30" resolution="7">
        <translationGainX>-0.702456</translationGainX>
        <translationGainY>-0.785710</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000737</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    INVENSENSE gyroscope    TDK actuator    rear tele photoPreview remosaic outer fullscreen-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="1" sensor_mode="30" resolution="8">
        <translationGainX>-0.526867</translationGainX>
        <translationGainY>-1.300849</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.003180</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    INVENSENSE gyroscope    TDK actuator    rear tele photoPreview remosaic inner fullscreen-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="1" sensor_mode="30" resolution="9">
        <translationGainX>-0.645112</translationGainX>
        <translationGainY>-0.785710</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000737</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    ST gyroscope    TDK actuator    rear tele photoPreview remosaic 4:3-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="1" sensor_mode="30" resolution="6">
        <translationGainX>-0.546354</translationGainX>
        <translationGainY>-0.822133</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.001177</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    ST gyroscope    TDK actuator    rear tele photoPreview remosaic 1:1-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="1" sensor_mode="30" resolution="7">
        <translationGainX>-0.728473</translationGainX>
        <translationGainY>-0.822133</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.001177</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    ST gyroscope    TDK actuator    rear tele photoPreview remosaic outer fullscreen-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="1" sensor_mode="30" resolution="8">
        <translationGainX>-0.546381</translationGainX>
        <translationGainY>-1.361153</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.003620</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    ST gyroscope    TDK actuator    rear tele photoPreview remosaic inner fullscreen-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="1" sensor_mode="30" resolution="9">
        <translationGainX>-0.669005</translationGainX>
        <translationGainY>-0.822133</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.001177</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    INVENSENSE gyroscope    TDK actuator    rear tele photoPreview binning 4:3-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="1" sensor_mode="31" resolution="6">
        <translationGainX>-0.266224</translationGainX>
        <translationGainY>-0.386879</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.001585</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    INVENSENSE gyroscope    TDK actuator    rear tele photoPreview binning 1:1-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="1" sensor_mode="31" resolution="7">
        <translationGainX>-0.354965</translationGainX>
        <translationGainY>-0.386879</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.001585</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    INVENSENSE gyroscope    TDK actuator    rear tele photoPreview binning outer fullscreen-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="1" sensor_mode="31" resolution="8">
        <translationGainX>-0.266267</translationGainX>
        <translationGainY>-0.640603</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.003083</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    INVENSENSE gyroscope    TDK actuator    rear tele photoPreview binning inner fullscreen-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="1" sensor_mode="31" resolution="9">
        <translationGainX>-0.325988</translationGainX>
        <translationGainY>-0.386879</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.001585</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    ST gyroscope    TDK actuator    rear tele photoPreview binning 4:3-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="1" sensor_mode="31" resolution="6">
        <translationGainX>-0.273146</translationGainX>
        <translationGainY>-0.387607</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.001263</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    ST gyroscope    TDK actuator    rear tele photoPreview binning 1:1-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="1" sensor_mode="31" resolution="7">
        <translationGainX>-0.364195</translationGainX>
        <translationGainY>-0.387607</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.001263</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    ST gyroscope    TDK actuator    rear tele photoPreview binning outer fullscreen-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="1" sensor_mode="31" resolution="8">
        <translationGainX>-0.273190</translationGainX>
        <translationGainY>-0.641810</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.002761</offsetTime>
    </OISSensor>

    <!--DW9781C driverIC    ST gyroscope    TDK actuator    rear tele photoPreview binning inner fullscreen-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="1" sensor_mode="31" resolution="9">
        <translationGainX>-0.334465</translationGainX>
        <translationGainY>-0.387607</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.001263</offsetTime>
    </OISSensor>

    <!--EIS instruction
        camera_position:   0—rear   1-front
        camera_index：   2-main   4-wide   8-tele   16-tele2
        gyro_sensor:   0-GYRO_VENDOR_INVEN_ICM20690   2-GYRO_VENDOR_ST_LSM6DSM   6-GYRO_VENDOR_BOSCH_BMI260
        sensor_mode:   -1-default   30-remosaic   31-binning   32-hdr   33-quadabin
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
        fps:   -1-default   1-30fps   2-60fps   3-auto
        camera_scene：   -1-default   2-dual_video
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
    -->

    <!--INVENSENSE gyroscope    rear tele photoPreview    remosaic 4:3-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="30" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>3.502757</focalLength>
        <gyroOffsetTime>0.002997</gyroOffsetTime>
        <rollingShutterTime>12.341570</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele photoPreview    remosaic 1:1-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="30" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>4.670342</focalLength>
        <gyroOffsetTime>0.002997</gyroOffsetTime>
        <rollingShutterTime>12.341570</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele photoPreview    remosaic outer fullscreen-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="30" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>3.502925</focalLength>
        <gyroOffsetTime>0.005440</gyroOffsetTime>
        <rollingShutterTime>7.454640</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele photoPreview    remosaic inner fullscreen-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="30" resolution="9" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>4.289090</focalLength>
        <gyroOffsetTime>0.002997</gyroOffsetTime>
        <rollingShutterTime>12.341570</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic 4:3-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="30" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>3.564510</focalLength>
        <gyroOffsetTime>0.002197</gyroOffsetTime>
        <rollingShutterTime>12.341570</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic 1:1-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="30" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>4.752680</focalLength>
        <gyroOffsetTime>0.002197</gyroOffsetTime>
        <rollingShutterTime>12.341570</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic outer fullscreen-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="30" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>3.564682</focalLength>
        <gyroOffsetTime>0.004640</gyroOffsetTime>
        <rollingShutterTime>7.454640</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic inner fullscreen-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="30" resolution="9" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>4.364706</focalLength>
        <gyroOffsetTime>0.002197</gyroOffsetTime>
        <rollingShutterTime>12.341570</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele photoPreview    binning 4:3-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="31" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>1.725097</focalLength>
        <gyroOffsetTime>0.003143</gyroOffsetTime>
        <rollingShutterTime>7.562490</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele photoPreview    binning 1:1-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="31" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>2.300129</focalLength>
        <gyroOffsetTime>0.003143</gyroOffsetTime>
        <rollingShutterTime>7.562490</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele photoPreview    binning outer fullscreen-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="31" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>1.725377</focalLength>
        <gyroOffsetTime>0.004641</gyroOffsetTime>
        <rollingShutterTime>4.567947</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele photoPreview    binning inner fullscreen-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="31" resolution="9" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>2.112363</focalLength>
        <gyroOffsetTime>0.003143</gyroOffsetTime>
        <rollingShutterTime>7.562490</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning 4:3-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="31" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>1.769456</focalLength>
        <gyroOffsetTime>0.002543</gyroOffsetTime>
        <rollingShutterTime>7.562490</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning 1:1-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="31" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>2.359274</focalLength>
        <gyroOffsetTime>0.002543</gyroOffsetTime>
        <rollingShutterTime>7.562490</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning outer fullscreen-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="31" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>1.769743</focalLength>
        <gyroOffsetTime>0.004041</gyroOffsetTime>
        <rollingShutterTime>4.567947</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning inner fullscreen-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="31" resolution="9" fps="1"
         camera_scene="-1" camera_lensType="255">
        <focalLength>2.166680</focalLength>
        <gyroOffsetTime>0.002543</gyroOffsetTime>
        <rollingShutterTime>7.562490</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ZoomStabilization instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
    -->

    <!--rear wide freeForm 4K-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="1">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide freeForm 19:9-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="2">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide freeForm 21:9-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="3">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide freeForm 1080p-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="4">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide freeForm 720p-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="5">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 4K-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="1">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 19:9-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="2">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 21:9-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="3">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 1080p-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="4">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 720p-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="5">
        <minRatio>0.64</minRatio>
        <inflectionPoint>0.64</inflectionPoint>
    </ZoomStabilization>

    <!--rear main-->
    <ZoomStabilization camera_position="0" camera_index="2" camera_lensType="-1" resolution="-1">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.0</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele default testing-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="-1">
        <minRatio>4.72</minRatio>
        <inflectionPoint>10.2</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 1080P photo testing-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="6">
        <minRatio>4.72</minRatio>
        <inflectionPoint>10.2</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 19:9 photo testing-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="8">
        <minRatio>4.72</minRatio>
        <inflectionPoint>10.2</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 1:1 photo testing-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="7">
        <minRatio>4.72</minRatio>
        <inflectionPoint>10.2</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 4K-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="1">
        <minRatio>4.4</minRatio>
        <inflectionPoint>4.4</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele FHDP2-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="3">
        <minRatio>4.4</minRatio>
        <inflectionPoint>4.4</inflectionPoint>
    </ZoomStabilization>

    <!--front wide defualt-->
    <ZoomStabilization camera_position="1" camera_index="2" camera_lensType="-1" resolution="-1">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.0</inflectionPoint>
    </ZoomStabilization>

    <!--SensorModeSwitch instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
    -->

    <!--rear tele default-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="-1">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 4k-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="1">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 19:9-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="2">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 21:9-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="3">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 1080p-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="4">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 720p-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="5">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--DistortCorrection instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
        camera_scene：   -1-default   2-dual_video   9-superEIS
    -->

    <!--rear main KT-->
    <DistortCorrection camera_position="0" camera_index="2" camera_lensType="1" camera_scene="-1">
        <distortRestricWidthRange>4</distortRestricWidthRange>
        <distortRestricHeightRange>2</distortRestricHeightRange>
        <cropRatio>0.9595</cropRatio>
    </DistortCorrection>

    <!--rear main Largn-->
    <DistortCorrection camera_position="0" camera_index="2" camera_lensType="0" camera_scene="-1">
        <distortRestricWidthRange>1.6</distortRestricWidthRange>
        <distortRestricHeightRange>1.6</distortRestricHeightRange>
        <cropRatio>0.94905</cropRatio>
    </DistortCorrection>

    <!--rear wide free normal-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>4.7</distortRestricWidthRange>
        <distortRestricHeightRange>1.22</distortRestricHeightRange>
        <cropRatio>0.95</cropRatio>
    </DistortCorrection>

    <!--rear wide largen normal-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="254" camera_scene="-1">
        <distortRestricWidthRange>11.3</distortRestricWidthRange>
        <distortRestricHeightRange>6.76</distortRestricHeightRange>
        <cropRatio>0.97375</cropRatio>
    </DistortCorrection>

    <!--rear Tele-->
    <DistortCorrection camera_position="0" camera_index="8" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>0</distortRestricWidthRange>
        <distortRestricHeightRange>0</distortRestricHeightRange>
        <cropRatio>0.95</cropRatio>
    </DistortCorrection>

    <!--rear wide free Super EIS-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="-1" camera_scene="9">
        <distortRestricWidthRange>4.7</distortRestricWidthRange>
        <distortRestricHeightRange>1.22</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
    </DistortCorrection>

    <!--rear wide largen Super EIS-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="254" camera_scene="9">
        <distortRestricWidthRange>11.3</distortRestricWidthRange>
        <distortRestricHeightRange>6.765</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
    </DistortCorrection>

    <!--front main-->
    <DistortCorrection camera_position="1" camera_index="2" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>33.34</distortRestricWidthRange>
        <distortRestricHeightRange>18.63</distortRestricHeightRange>
        <cropRatio>0.838</cropRatio>
    </DistortCorrection>

    <RecedeStabilization>
        <dynamicRecedeStabilizationEnable>1</dynamicRecedeStabilizationEnable>        <!--Int -->
        <mainDynamicRecedeEnable>0</mainDynamicRecedeEnable>        <!--Int -->
        <wideDynamicRecedeEnable>1</wideDynamicRecedeEnable>        <!--Int -->
        <teleDynamicRecedeEnable>0</teleDynamicRecedeEnable>        <!--Int -->
        <tele2DynamicRecedeEnable>0</tele2DynamicRecedeEnable>        <!--Int -->
        <motionGain0>0.0</motionGain0>        <!--float -->
        <motionGain1>0.1</motionGain1>        <!--float -->
        <motionGain2>0.2</motionGain2>        <!--float -->
        <motionGain3>0.2</motionGain3>        <!--float -->
        <expoGain0>0.0</expoGain0>        <!--float -->
        <expoGain1>0.0</expoGain1>        <!--float -->
        <expoGain2>4.0</expoGain2>        <!--float -->
        <expoGain3>9.0</expoGain3>        <!--float -->
        <eisDecayPreRatio>0.1</eisDecayPreRatio>        <!--float -->
        <lumaAvgThr>30</lumaAvgThr>        <!--int -->
        <baseWqr>0.05</baseWqr>        <!--float -->
    </RecedeStabilization>

    <!--FaceDeforMation Param-->
    <FaceDeformation>
        <faceDeformationCorrectionEnable>1</faceDeformationCorrectionEnable>
        <rotationLatencyForMainAxis>4</rotationLatencyForMainAxis>
        <faceDeformationThreshlod>0.8</faceDeformationThreshlod>
        <panningCoeff>4.5</panningCoeff>
        <enterPanningCounterSelfieForFace>15</enterPanningCounterSelfieForFace>
        <exitPanningCounterSelfieForFace>15</exitPanningCounterSelfieForFace>
        <maxPanningCounterSelfie>30</maxPanningCounterSelfie>
        <minPanningCounterSelfie>0</minPanningCounterSelfie>
        <maxPanningRSCorrectionRatio>0.65</maxPanningRSCorrectionRatio>
        <minPanningRSCorrectionRatio>0.25</minPanningRSCorrectionRatio>
    </FaceDeformation>

    <FaceStabilization>
        <faceStabilizationEnable>1</faceStabilizationEnable>        <!--Int -->
        <walkingEpsilon>38</walkingEpsilon>        <!--Int -->
        <faceEpsilonUpper>340</faceEpsilonUpper>        <!--Int -->
        <faceEpsilonLower>300</faceEpsilonLower>        <!--Int -->
        <faceEpsilonRatio>0.8</faceEpsilonRatio>
        <faceEpsilonIncrementStep>6</faceEpsilonIncrementStep>        <!--Int -->
        <faceEpsilonDecrementStep>8</faceEpsilonDecrementStep>        <!--Int -->
        <faceEpsilonUpperDecrementStep>20</faceEpsilonUpperDecrementStep>        <!--Int -->
        <faceEpsilonLowerDecrementStep>20</faceEpsilonLowerDecrementStep>        <!--Int -->
        <faceMotionStd>100</faceMotionStd>        <!--Int -->
        <faceMotionIncreaseStep>50</faceMotionIncreaseStep>        <!--Int -->
    </FaceStabilization>

    <!--OSQP Smooth Weigths 3D and 5D-->
    <PathSmooth camera_position="0" camera_index="2">
        <gWqrPreMin3D>0.5</gWqrPreMin3D>        <!--float -->
        <gWq1PreMin3D>50.0</gWq1PreMin3D>        <!--float -->
        <gWq2PreMin3D>50.0</gWq2PreMin3D>        <!--float -->
        <gWq3PreMin3D>50.0</gWq3PreMin3D>        <!--float -->
        <gWq4PreMin3D>0.0</gWq4PreMin3D>        <!--float -->

        <gWqrPreMax3D>0.5</gWqrPreMax3D>        <!--float -->
        <gWq1PreMax3D>50.0</gWq1PreMax3D>        <!--float -->
        <gWq2PreMax3D>50.0</gWq2PreMax3D>        <!--float -->
        <gWq3PreMax3D>50.0</gWq3PreMax3D>        <!--float -->
        <gWq4PreMax3D>0.0</gWq4PreMax3D>        <!--float -->

        <gWqrPreMin5D>60.0</gWqrPreMin5D>        <!--float -->
        <gWq1PreMin5D>100.0</gWq1PreMin5D>        <!--float -->
        <gWq2PreMin5D>100.0</gWq2PreMin5D>        <!--float -->
        <gWq3PreMin5D>0.0</gWq3PreMin5D>        <!--float -->
        <gWq4PreMin5D>0.0</gWq4PreMin5D>        <!--float -->

        <gWqrPreMax5D>60.0</gWqrPreMax5D>        <!--float -->
        <gWq1PreMax5D>100.0</gWq1PreMax5D>        <!--float -->
        <gWq2PreMax5D>100.0</gWq2PreMax5D>        <!--float -->
        <gWq3PreMax5D>0.0</gWq3PreMax5D>        <!--float -->
        <gWq4PreMax5D>0.0</gWq4PreMax5D>        <!--float -->
        <gWfPre>1</gWfPre>        <!--Int -->
    </PathSmooth>

    <PathSmooth camera_position="0" camera_index="8">
        <gWqrPreMin3D>1.0</gWqrPreMin3D>        <!--float -->
        <gWq1PreMin3D>50.0</gWq1PreMin3D>        <!--float -->
        <gWq2PreMin3D>50.0</gWq2PreMin3D>        <!--float -->
        <gWq3PreMin3D>50.0</gWq3PreMin3D>        <!--float -->
        <gWq4PreMin3D>0.0</gWq4PreMin3D>        <!--float -->

        <gWqrPreMax3D>1.0</gWqrPreMax3D>        <!--float -->
        <gWq1PreMax3D>50.0</gWq1PreMax3D>        <!--float -->
        <gWq2PreMax3D>50.0</gWq2PreMax3D>        <!--float -->
        <gWq3PreMax3D>50.0</gWq3PreMax3D>        <!--float -->
        <gWq4PreMax3D>0.0</gWq4PreMax3D>        <!--float -->

        <gWqrPreMin5D>60.0</gWqrPreMin5D>        <!--float -->
        <gWq1PreMin5D>100.0</gWq1PreMin5D>        <!--float -->
        <gWq2PreMin5D>100.0</gWq2PreMin5D>        <!--float -->
        <gWq3PreMin5D>0.0</gWq3PreMin5D>        <!--float -->
        <gWq4PreMin5D>0.0</gWq4PreMin5D>        <!--float -->

        <gWqrPreMax5D>60.0</gWqrPreMax5D>        <!--float -->
        <gWq1PreMax5D>100.0</gWq1PreMax5D>        <!--float -->
        <gWq2PreMax5D>100.0</gWq2PreMax5D>        <!--float -->
        <gWq3PreMax5D>0.0</gWq3PreMax5D>        <!--float -->
        <gWq4PreMax5D>0.0</gWq4PreMax5D>        <!--float -->
        <gWfPre>1</gWfPre>        <!--Int -->
    </PathSmooth>
</EIS_TNR>
